PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Interrupt Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » General section of the API » Functions

## General Description

This set of functions is used to handle general interrupts in the Autonomous Analog.

## Functions
__STATIC_INLINE void | Cy_AutAnalog_ClearInterruptMask (uint32_t mask)
| Configures which bits of the interrupt request register will be cleared in the Autonomous Analog. More...
__STATIC_INLINE uint32_t | Cy_AutAnalog_GetInterruptCause (void)
| Returns the cause of the interrupt for the Autonomous Analog. More...
__STATIC_INLINE uint32_t | Cy_AutAnalog_GetInterruptStatus (void)
| Returns the status of combined Autonomous Analog interrupt requests. More...
__STATIC_INLINE void | Cy_AutAnalog_ClearInterrupt (uint32_t interrupt)
| Clears the interrupts for the Autonomous Analog. More...
__STATIC_INLINE void | Cy_AutAnalog_SetInterrupt (uint32_t interrupt)
| Sets a software interrupt request for the Autonomous Analog. More...
__STATIC_INLINE void | Cy_AutAnalog_SetInterruptMask (uint32_t mask)
| Configures which bits of the interrupt request register will trigger an interrupt event in the Autonomous Analog. More...
__STATIC_INLINE uint32_t | Cy_AutAnalog_GetInterruptMask (void)
| Returns the interrupt mask. More...
__STATIC_INLINE uint32_t | Cy_AutAnalog_GetInterruptStatusMasked (void)
| Returns the result of the bitwise AND operation between the corresponding interrupt request and mask bits. More...

## Function Documentation

## ◆ Cy_AutAnalog_ClearInterruptMask()

__STATIC_INLINE void Cy_AutAnalog_ClearInterruptMask | ( | uint32_t | mask | ) |

Configures which bits of the interrupt request register will be cleared in the Autonomous Analog.

Parameters

  mask | The mask for the clearing of the bits of the interrupt request register in the Autonomous Analog. See Macros section for defined interrupts in the Autonomous Analog.

## ◆ Cy_AutAnalog_GetInterruptCause()

__STATIC_INLINE uint32_t Cy_AutAnalog_GetInterruptCause | ( | void |  | ) |

Returns the cause of the interrupt for the Autonomous Analog.

Returns
  The mask of the event, which causes an interrupt in the Autonomous Analog. See Macros section for defined interrupts in the Autonomous Analog.

## ◆ Cy_AutAnalog_GetInterruptStatus()

__STATIC_INLINE uint32_t Cy_AutAnalog_GetInterruptStatus | ( | void |  | ) |

Returns the status of combined Autonomous Analog interrupt requests.

Returns
  The combined mask of interrupt requests for the Autonomous Analog. See Macros section for defined interrupts in the Autonomous Analog.

## ◆ Cy_AutAnalog_ClearInterrupt()

__STATIC_INLINE void Cy_AutAnalog_ClearInterrupt | ( | uint32_t | interrupt | ) |

Clears the interrupts for the Autonomous Analog.

Parameters

  interrupt | The mask of the interrupts to be cleared. Each bit of this mask is responsible for clearing of the corresponding interrupt in the Autonomous Analog. See Macros section for defined interrupts in the Autonomous Analog.

## ◆ Cy_AutAnalog_SetInterrupt()

__STATIC_INLINE void Cy_AutAnalog_SetInterrupt | ( | uint32_t | interrupt | ) |

Sets a software interrupt request for the Autonomous Analog.

Parameters

  interrupt | The mask of the interrupts to be set. Each bit of this mask is responsible for triggering of the corresponding interrupt in the Autonomous Analog. See Macros section for defined interrupts in the Autonomous Analog.

## ◆ Cy_AutAnalog_SetInterruptMask()

__STATIC_INLINE void Cy_AutAnalog_SetInterruptMask | ( | uint32_t | mask | ) |

Configures which bits of the interrupt request register will trigger an interrupt event in the Autonomous Analog.

Parameters

  mask | The mask of interrupts allowed to be activated. Each bit of this mask allows the corresponding interrupt to be triggered in the Autonomous Analog. See Macros section for defined interrupts in the Autonomous Analog.

## ◆ Cy_AutAnalog_GetInterruptMask()

__STATIC_INLINE uint32_t Cy_AutAnalog_GetInterruptMask | ( | void |  | ) |

Returns the interrupt mask.

Each bit of this mask represents an interrupt that is allowed in the Autonomous Analog.

Returns
  The mask of the interrupts that can be activated. See Macros section for defined interrupts in the Autonomous Analog.

## ◆ Cy_AutAnalog_GetInterruptStatusMasked()

__STATIC_INLINE uint32_t Cy_AutAnalog_GetInterruptStatusMasked | ( | void |  | ) |

Returns the result of the bitwise AND operation between the corresponding interrupt request and mask bits.

See Cy_AutAnalog_GetInterruptStatus and Cy_AutAnalog_SetInterruptMask.

Returns
  The masked status of combined interrupt requests for the Autonomous Analog. See Macros section for defined interrupts in the Autonomous Analog.